<script lang="ts">
    import { io } from "socket.io-client"
    const socket = io("/", { path: "/ws" })
    socket.on("connect", () => {
        console.log("successfully connected to socket.io server")
        socket.emit("join_room", { id: "gang" })
    })
</script>
